<ion-header class="home">
  <ion-navbar no-border-bottom>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>MyTaxGuide</ion-title>

    <ion-buttons end>
      <button ion-button icon-only (click)="openSearch()">
        <ion-icon ios="md-search" md="md-search"></ion-icon>
      </button>
      <button ion-button icon-only (click)="openSetting()">
        <ion-icon ios="md-more" md="md-more"></ion-icon>
      </button>
    </ion-buttons>
  </ion-navbar>
  <div *ngIf="!stateSearch">
    <ion-toolbar no-border-top>
      <ion-searchbar color="primary"
                     (ionInput)="searchFunction($event)"
                     (ionClear)="onClearFunction($event)"
                     placeholder=" Search">
      </ion-searchbar>
    </ion-toolbar>
  </div>
  <ion-slides *ngIf="listSlide && platform.isPortrait()" autoplay="5000" pager="false" loop="false"  style="text-align:center !important; align-content: center;" #slides>
    <ion-slide *ngFor="let data of listSlide; let last = last" style="text-align:center !important; align-content: center;">
      <div style="height: 25%; display: flex">
        <img *ngIf="data.type_id === '1'" (click)="goToDetailArticle(data.id)" style="object-fit: fill;width: 100%; height: 66%;" onError="this.src='assets/img/placeholder-image.png'" [src]="data.primary_image">
        <img *ngIf="data.type_id === '2'" (click)="goToDetailNews(data.id)" style="object-fit: fill;width: 100%; height: 66%;" onError="this.src='assets/img/placeholder-image.png'" [src]="data.primary_image">
		<img *ngIf="data.type_id === '0'"  style="object-fit: fill;width: 100%; height: 66%;" onError="this.src='assets/img/placeholder-image.png'" [src]="data.primary_image">
      </div>
      <ion-card class="title-slide" style="border-radius: 0; text-align:center !important; align-content: center;">
        <ion-card-content style="padding: 5px;white-space: nowrap;overflow: hidden; text-overflow: ellipsis;color:white;background-color: rgba(0, 0, 0, 1.0); text-align:center !important; align-content: center;">
          <h2 *ngIf="data.type_id === '1'" (click)="goToDetailArticle(data.id)" style="white-space: normal;overflow: hidden;text-overflow: ellipsis;display: -webkit-box;-webkit-line-clamp: 2;-webkit-box-orient: vertical;color:white; text-align:center !important; align-content: center;">
		  {{data.title}}
		  </h2>
		  <h2 *ngIf="data.type_id === '2'" (click)="goToDetailNews(data.id)" style="white-space: normal;overflow: hidden;text-overflow: ellipsis;display: -webkit-box;-webkit-line-clamp: 2;-webkit-box-orient: vertical;color:white; text-align:center !important; align-content: center;">
		  {{data.title}}
		  </h2>
		  <h2 *ngIf="data.type_id === '0'" style="white-space: normal;overflow: hidden;text-overflow: ellipsis;display: -webkit-box;-webkit-line-clamp: 2;-webkit-box-orient: vertical;color:white; text-align:center !important; align-content: center;">
		  MUC Consulting : My TaxGuide
		  </h2>
        </ion-card-content>
      </ion-card>
    </ion-slide>
  </ion-slides>
  <ion-segment class="swiper-slide segment-home" style="background-color:#bbc3cc; " [(ngModel)]="segment">
    <ion-segment-button value="news" style="height:50px">
      <ion-row>
        <ion-col col-6 style="align:right;float:right; text-align:right;align-content:right;padding-left:19%;"><img style="height: 35px;" [src]="newsImage"></ion-col>
        <ion-col col-6 style="font-size:15px;font-weight:bold;color:white; align:left; float: left; text-align:left; align-content:left;
		padding-right:11%;">Berita</ion-col>
      </ion-row>
    </ion-segment-button>
    <ion-segment-button value="article" style="height:50px">
      <ion-row>
        <ion-col col-6 style="align:right; float:right; text-align:right;align-content:right;padding-left:18%;"><img style="height: 25px;margin-top: 7px" [src]="articleImage"></ion-col>
        <ion-col col-6 style="font-size:15px;font-weight:bold;color:white; align:left; float: left; text-align:left; align-content:left;
		padding-right:13%;">Artikel</ion-col>
      </ion-row>
    </ion-segment-button>
  </ion-segment>
</ion-header>

<ion-content [ngClass]="{'home main-home': platform.isPortrait() === true, 'home main-home-land': platform.isLandscape() === true }"
[ngStyle]="{'margin-top' : (platform.height() > 800) ? '23%' : '5%'}"
>
  <ion-list-header [ngStyle]="{'margin-top': marginSearchShow}" #news style="padding: 0" *ngIf="segment === 'news'">
    <ion-item-sliding style="border-bottom: 1px solid #dedede;" *ngFor="let data of listNews">
      <button ion-item style="padding: 0" (click)="goToDetail(data.id)">
        <ion-grid>
          <ion-row>
            <ion-col col-4>
              <img src={{data.primary_image}} onError="this.src='assets/img/placeholder-image.png'" style="width:100%">
            </ion-col>
            <ion-col col-8>
			<table border="0" style="height:100%">
			<tr style="height:100%" valign="center">
      <td valign="center">
              <h2 style="white-space: normal;overflow: hidden;text-overflow: ellipsis;display: -webkit-box;-webkit-line-clamp: 2;-webkit-box-orient: vertical;">{{data.title}}</h2>
              <p style="font-size: 10px; color: #84AFD9;">
                {{data.total_viewer}} pembaca
              &nbsp; &nbsp; &nbsp; &nbsp;
              <a style="font-size: 10px; color: #84AFD9;">
                <img style="height: 11px" [src]="commentImage">
              </a>
                {{data.total_comment}} komentar
              </p>
			  </td>
			</tr>
			</table>
            </ion-col>
          </ion-row>
        </ion-grid>
      </button>
    </ion-item-sliding>
    <ion-infinite-scroll (ionInfinite)="doInfinite($event)">
      <ion-infinite-scroll-content loadingText="Memuat konten..."></ion-infinite-scroll-content>
    </ion-infinite-scroll>
  </ion-list-header>
  <ion-list-header [ngStyle]="{'margin-top': marginSearchShow}" #article style="padding: 0" *ngIf="segment === 'article'">
    <ion-item-sliding style="border-bottom: 1px solid #dedede;" *ngFor="let data of listArticle">
      <button ion-item style="padding: 0" (click)="goToDetail(data.id)">
        <ion-grid>
          <ion-row>
            <ion-col col-4>
              <img src={{data.primary_image}} onError="this.src='assets/img/placeholder-image.png';" style="width:100%">
            </ion-col>
            <ion-col col-8>
			<table border="0" style="height:100%">
			<tr style="height:100%" valign="center">
      <td valign="center">
              <h2 style="white-space: normal;overflow: hidden;text-overflow: ellipsis;display: -webkit-box;-webkit-line-clamp: 2;-webkit-box-orient: vertical;">{{data.title}}</h2>
              <p style="font-size: 10px; color: #84AFD9;">
                {{data.total_viewer}} pembaca
              &nbsp; &nbsp; &nbsp; &nbsp;
              <a style="font-size: 10px; color: #84AFD9;">
                <img style="height: 11px" [src]="commentImage">
              </a>
                {{data.total_comment}} komentar
              </p>
			  </td>
			</tr>
			</table>
            </ion-col>
          </ion-row>
        </ion-grid>
      </button>
    </ion-item-sliding>
    <ion-infinite-scroll (ionInfinite)="doInfinite($event)">
      <ion-infinite-scroll-content loadingText="Memuat konten..."></ion-infinite-scroll-content>
    </ion-infinite-scroll>
  </ion-list-header>
</ion-content>
